wave -noupdate -literal /tx_data 
wave -noupdate -logic /tx_sof 
wave -noupdate -logic /tx_eof 
wave -noupdate -logic /tx_underrun 
wave -noupdate -logic /full_duplex 
wave -noupdate -logic /reset_n 
wave -noupdate -logic /crs 
wave -noupdate -logic /coll 
wave -noupdate -logic /tx_clk 
wave -noupdate -literal /txd 
wave -noupdate -logic /tx_en 
wave -noupdate -logic /tx_er 
wave -noupdate -logic /tx_data_used 
wave -noupdate -logic /tx_done 
wave -noupdate -logic /tx_abort 
wave -noupdate -logic /tx_retransmit 
wave -noupdate -literal /tx_status 
wave -noupdate -logic /tx_status_valid_n 
wave -noupdate -literal /data 
wave -noupdate -logic /transmit_error 
wave -noupdate -logic /transmit_enable 
wave -noupdate -logic /compute_crc 
wave -noupdate -literal /crc 
wave -noupdate -literal /data_select 
wave -noupdate -logic /transmit_available_p 
wave -noupdate -logic /transmit_new_p 
wave -noupdate -logic /excess_deferral 
wave -noupdate -logic /transmit_preamble 
wave -noupdate -logic /transmit_sfd 
wave -noupdate -literal /coll_attempt 
wave -noupdate -logic /late_coll 
wave -noupdate -logic /excessive_coll 
wave -noupdate -logic /coll_event_p 
wave -noupdate -logic /transmit_64byte 
wave -noupdate -logic /transmit_fcs
wave -noupdate -literal /count_length 
wave -noupdate -literal /count_fcs 
wave -noupdate -logic /excessive_length 
wave -noupdate -literal /count_jam 
wave -noupdate -literal /random 
wave -noupdate -logic /backoff_p 
wave -noupdate -logic /start_backoff 

#clock
force tx_clk  0 20, 1 40 -r 40

force tx_underrun 0 0
force full_duplex 0 0 
force coll        0 0
force tx_sof      0 0
force tx_eof      0 0
force crs         1 0
force tx_data     0000 0
force reset_n     1 0
run 20

force reset_n     0 0
run 20

force reset_n     1 0
run 360

force tx_sof      1 0
force tx_data     1000 0
run 400

force crs         0 0
run 960

force crs         1 0
run 640

force tx_sof      0 0
force tx_data     0100 0
run 4240

force tx_eof      1 0
force tx_data     0010 0
run 40

force tx_eof      0 0
force tx_data     0000 0
run 840

force crs         0 0
run 120
